Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.codegen.idoc
Class DataRecord4X

    java.lang.Object
      IDocOtdRoot
          com.stc.sapale.codegen.idoc.DataRecord4X

Direct Known Subclasses:
  IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFASM, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2.E2LFA1H000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2.E2LFA1L000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3.E2LFB1M003, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3.E2LFB5M, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3.Group4.E2LFB1H000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3.Group4.E2LFB1L000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5.E2LFM1M003, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5.E2LFM2M002, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5.E2WYT3M001, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5.Group6.E2LFM1H000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5.Group6.E2LFM1L000, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7.E2WYT1M, IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7.E2WYTTM

public class DataRecord4X
extends IDocOtdRoot

Data Record Object - represents a SAP Data Record version 46A

See Also:
  Serialized Form

Method Summary
`java.lang.String[]` | `check()` Validates the contents of the data tree.
`java.lang.String` | `getDataString()` Return a string representation of this Data Record.
`java.lang.String` | `getDOCNUM()` Return a java.lang.String representation of the SAP type DOCNUM - IDoc number.
`java.lang.String` | `getHLEVEL()` Return a java.lang.String representation of the SAP type HLEVEL - Hierarchy level of SAP segment.
`java.lang.String` | `getMANDT()` Return a java.lang.String representation of the SAP type MANDT - Client.
`java.lang.String` | `getPSGNUM()` Return a java.lang.String representation of the SAP type PSGNUM - Number of superior parent segment.
`boolean` | `getSegIsMandatory()` Return a boolean representation of SegIsMandatory.
`int` | `getSegLength()` Gets the actual length of the segment.
`java.lang.String` | `getSEGNAM()` Return a java.lang.String representation of the SAP type SEGNAM - Segment (external name).
`java.lang.String` | `getSEGNUM()` Return a java.lang.String representation of the SAP type SEGNUM - Segment number.
`boolean` | `hasDOCNUM()` Tests whether DOCNUM is present or not.
`boolean` | `hasHLEVEL()` Tests whether HLEVEL is present or not.
`boolean` | `hasMANDT()` Tests whether MANDT is present or not.
`boolean` | `hasPSGNUM()` Tests whether PSGNUM is present or not.
`boolean` | `hasSEGNAM()` Tests whether SEGNAM is present or not.
`boolean` | `hasSEGNUM()` Tests whether SEGNUM is present or not.
`void` | `marshal(OtdOutputStream out)` Marshals the data content of an ETD into a BLOB.
`OtdMeta` | `meta()` Gets the OtdMeta root
`void` | `reset()` Clears out any data and resources held by this OTD instance.
`void` | `setDOCNUM(java.lang.String value)` Set the value of DOCNUM - IDoc number
`void` | `setHLEVEL(java.lang.String value)` Set the value of HLEVEL - Hierarchy level of SAP segment
`void` | `setMANDT(java.lang.String value)` Set the value of MANDT - Client
`void` | `setPSGNUM(java.lang.String value)` Set the value of PSGNUM - Number of superior parent segment.
`void` | `setSegIsMandatory(boolean val)` Set the value of SegIsMandatory.
`void` | `setSEGNAM(java.lang.String value)` Set the value of SEGNAM - Segment (external name)
`void` | `setSEGNUM(java.lang.String value)` Set the value of SEGNUM - Segment number
`void` | `unmarshal(OtdInputStream in)` Unmarshals a BLOB into the data content of an ETD.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### check

    public java.lang.String[] check()

  Validates the contents of the data tree.

  Returns:
    null if okay, else a list of error strings.

### getDataString

    public java.lang.String getDataString()

  Return a string representation of this Data Record.

  Returns:
    String representation of this record.

### getDOCNUM

    public java.lang.String getDOCNUM()

  Return a java.lang.String representation of the SAP type DOCNUM - IDoc number.

  Returns:
    A java.lang.String representation of DOCNUM.

### getHLEVEL

    public java.lang.String getHLEVEL()

  Return a java.lang.String representation of the SAP type HLEVEL - Hierarchy level of SAP segment.

  Returns:
    A java.lang.String representation of HLEVEL.

### getMANDT

    public java.lang.String getMANDT()

  Return a java.lang.String representation of the SAP type MANDT - Client.

  Returns:
    A java.lang.String representation of MANDT.

### getPSGNUM

    public java.lang.String getPSGNUM()

  Return a java.lang.String representation of the SAP type PSGNUM - Number of superior parent segment.

  Returns:
    A java.lang.String representation of PSGNUM.

### getSegIsMandatory

    public boolean getSegIsMandatory()

  Return a boolean representation of SegIsMandatory.

  Returns:
    boolean boolean representation of SegIsMandatory.

### getSegLength

    public int getSegLength()

  Gets the actual length of the segment.

  Returns:
    Segment length.

### getSEGNAM

    public java.lang.String getSEGNAM()

  Return a java.lang.String representation of the SAP type SEGNAM - Segment (external name).

  Returns:
    A java.lang.String representation of SEGNAM.

### getSEGNUM

    public java.lang.String getSEGNUM()

  Return a java.lang.String representation of the SAP type SEGNUM - Segment number.

  Returns:
    A java.lang.String representation of SEGNUM.

### hasDOCNUM

    public boolean hasDOCNUM()

  Tests whether DOCNUM is present or not.

  Returns:
    true if DOCNUM exists else false.

### hasHLEVEL

    public boolean hasHLEVEL()

  Tests whether HLEVEL is present or not.

  Returns:
    true if HLEVEL exists else false.

### hasMANDT

    public boolean hasMANDT()

  Tests whether MANDT is present or not.

  Returns:
    true if MANDT exists else false.

### hasPSGNUM

    public boolean hasPSGNUM()

  Tests whether PSGNUM is present or not.

  Returns:
    true if PSGNUM exists else false.

### hasSEGNAM

    public boolean hasSEGNAM()

  Tests whether SEGNAM is present or not.

  Returns:
    true if SEGNAM exists else false.

### hasSEGNUM

    public boolean hasSEGNUM()

  Tests whether SEGNUM is present or not.

  Returns:
    true if SEGNUM exists else false.

### marshal

    public void marshal(OtdOutputStream out)
                 throws MarshalException

  Marshals the data content of an ETD into a BLOB.

  Parameters:
    `out` - DOCUMENT ME!
  Throws:
    `MarshalException` - Thrown when unable to marshal ETD.

### meta

    public OtdMeta meta()

  Gets the OtdMeta root

  Returns:
    Run-time tree of data nodes.

### reset

    public void reset()

  Clears out any data and resources held by this OTD instance.

### setDOCNUM

    public void setDOCNUM(java.lang.String value)

  Set the value of DOCNUM - IDoc number

  Parameters:
    `value` - The java.lang.String value for DOCNUM.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setHLEVEL

    public void setHLEVEL(java.lang.String value)

  Set the value of HLEVEL - Hierarchy level of SAP segment

  Parameters:
    `value` - The java.lang.String value for HLEVEL.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMANDT

    public void setMANDT(java.lang.String value)

  Set the value of MANDT - Client

  Parameters:
    `value` - The java.lang.String value for MANDT
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setPSGNUM

    public void setPSGNUM(java.lang.String value)

  Set the value of PSGNUM - Number of superior parent segment.

  Parameters:
    `value` - The java.lang.String value for PSGNUM
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSegIsMandatory

    public void setSegIsMandatory(boolean val)

  Set the value of SegIsMandatory.

  Parameters:
    `val` - boolean value for SegIsMandatory.

### setSEGNAM

    public void setSEGNAM(java.lang.String value)

  Set the value of SEGNAM - Segment (external name)

  Parameters:
    `value` - The java.lang.String value for SEGNAM.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSEGNUM

    public void setSEGNUM(java.lang.String value)

  Set the value of SEGNUM - Segment number

  Parameters:
    `value` - The java.lang.String value for SEGNUM.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### unmarshal

    public void unmarshal(OtdInputStream in)
                   throws UnmarshalException

  Unmarshals a BLOB into the data content of an ETD.

  Parameters:
    `in` - Byte array of the BLOB to be unmarshalled.
  Throws:
    `UnmarshalException` - Thrown when unable to unmarshal BLOB into ETD.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.